Package com.ocient.jdbc.proto

## Interface PlanProtocol.UnionOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.UnionOperator`, `PlanProtocol.UnionOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.UnionOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getAll()` this flag differentiates UNION from UNION ALL
`boolean` `getIsSwitchUnion()` Is this the top of a switch block
`boolean` `getNotNeeded()` If true, this doesn't have to be an exact distinct
`boolean` `getUseVector()` If distinct can be computed with vectors instead of maps

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getAll

    boolean getAll()

    this flag differentiates UNION from UNION ALL

`bool all = 1;`

Returns:
  The all.

#### getIsSwitchUnion

    boolean getIsSwitchUnion()

    Is this the top of a switch block

`bool is_switch_union = 2;`

Returns:
  The isSwitchUnion.

#### getNotNeeded

    boolean getNotNeeded()

    If true, this doesn't have to be an exact distinct

`bool not_needed = 3;`

Returns:
  The notNeeded.

#### getUseVector

    boolean getUseVector()

    If distinct can be computed with vectors instead of maps

`bool use_vector = 4;`

Returns:
  The useVector.